#include <stdio.h>
#include <stdlib.h>
/*Leyendo una cadena con espacio utilizando scanf*/
int main(){
char nombre[40];
char apellidoPaterno[40];
char apellidoMaterno[40];

/*Para leer una cadena de caracteres 
que contenga espacios utilizand scanf, se debe
utilizar el siguiente formato:
scanf("%[^\n]",&nombre_variable);
esto indica al programa que se leera la cadena
hasta que se encuentre un separador, en este caso
el salto de linea (\n), el separador puede
ser cualquier caracter  que se desee*/

printf("Escribe tu nombre:");
scanf("%[^\n]",&nombre);
//Es necesario limpiar el buffer de entrada
//despues de cada lectura
fflush(stdin);
printf("Escribe tu apellido paterno:");
scanf("%[^\n]",&apellidoPaterno);
fflush(stdin);
printf("Escribe tu apellido materno:");
scanf("%[^\n]",&apellidoMaterno);
fflush(stdin);

printf("Escribiste: %s\n",nombre);
printf("Escribiste: %s\n",apellidoPaterno);
printf("Escribiste: %s\n",apellidoMaterno);

/*Aqui se leen los nombres y apellidos de una persona 
separados por coma, el separador en el formato %[^] ahora es
la coma (,) por lo que su uso es %[^,]*/

printf("Escribe tu nombre y apellidos separados por , : ");
/*Hay que indicar con el scanf que es lo que vamos a leer, 
la manera en que se realiza es la siguiente:*/
scanf("%[^,],%[^,],%[^\n]",&nombre,&apellidoPaterno,&apellidoMaterno);
/*Con esto se le indica que vamos a leer hasta que encontremos una coma %[^,]
y luego viene la , posteriormente se repite la operacin y finalmente se
le indica que lea hasta que encuentre un salto de linea, la primer cadena
se le asigna a nombre, la segunda a apellidoPaterno y la ultima a apellidoMaterno*/
printf("Escribiste: %s\n",nombre);
printf("Escribiste: %s\n",apellidoPaterno);
printf("Escribiste: %s\n",apellidoMaterno);
system("pause");
return 0;

}
