#include <stdio.h>
#include <stdlib.h>

int main(){

/*
Una estructura se puede ver como un 
tipo de dato propio que está formado
pór otros tipos de datos
*/

/*La definición de una estructura es 
la siguiente*/

//Las palabras reservadas typedef y struct
typedef struct {
//los tipos de datos que la componen, en 
//este caso serán dos enteros y un flotante
int datoEnteroUno;
int datoEnteroDos;
float datoFlotante;
} estructura; //nombre que se desea para el tipo de dato


/*
De esta forma se tiene una estructura que
representa un tipo llamado estructura, 
a continuación se crea una variable de ese tipo
*/

estructura variable;

/*Acceso a valores de una estructura.
Para acceder a los valores de una estructura, se 
utiliza el operador punto (.) de la siguiente manera:
nombreVariable.nombrevalor*/


variable.datoEnteroUno=5;
variable.datoEnteroDos=8;
variable.datoFlotante=5.8;

printf("El entero uno vale: %d\n",variable.datoEnteroUno);
printf("El entero dos vale: %d\n",variable.datoEnteroDos);
printf("El flotante: %f\n",variable.datoFlotante);

return 0;
}
