#include <stdio.h>
#include <stdlib.h>
#include <math.h>

/*Se declaran las funciones como globales
para que todas tengan acceso entre ellas,
igual con la variable vector[]*/
void pedirDatos(int );
void imprimeVector(int );
void imprimirVector(int [], int );
void copiarVector(int );
void elevaAlCuadrado(int [], int );
int vector[20];

/*La funcion principal solo pide el numero de
elementos y manda a pedir datos e imprimir el vector*/
int main(){
int nElementos;
int i;
printf("Cuantos elementos tienes: ");
scanf("%d",&nElementos);
pedirDatos(nElementos);
printf("Imprimiendo el vector:");
imprimeVector(nElementos);
copiarVector(nElementos);
system("pause");
return 0;
}

/*Esta funcion es la encargada de
pedir los datos para llenar el vector*/
void pedirDatos(int nElementos){
int i;
for (i=0;i<nElementos;i++){
printf("Dato: ");
scanf("%d",&vector[i]);
	}

}

/*Funcion que imprime el vector,
recibe como dato el total de elementos
de la variable global vector*/
void imprimeVector(int nElementos){
int i;
for (i=0;i<nElementos;i++)
printf("%d ",vector[i]);
}

/*Funcion que imprime otros vectore,
el nombre de las funciones puede ser el mismo,
pero debe cambiar la cantidad o el tipo
de datos que recibe, no basta con cambiar el
tipo de dato que regresa*/
void imprimirVector(int v[], int nElementos){
int i;
for (i=0;i<nElementos;i++)
printf("%d ",v[i]);
}

/*Esta funcion copia el contenido de la
variable global vector a otro arreglo*/
void copiarVector(int nElementos){
int nuevoVector[20];
int i;
for (i=0;i<nElementos;i++)
nuevoVector[i]=vector[i];
printf("\nImprimiendo el nuevo vector: ");
imprimirVector(nuevoVector, nElementos);
elevaAlCuadrado(nuevoVector, nElementos);
}

/*Aqui se eleva al cuadrado un vector, y luego
se manda a imprimir*/
void elevaAlCuadrado(int v[], int nElementos){
int i;
for(i =0;i<nElementos;i++)
v[i] = pow(v[i],2);
printf("\nEl vector al cuadrado es: ");
imprimirVector(v, nElementos);
}
