/*Programa de introuccion a archivos*/

#include <stdio.h>
#include <stdlib.h>

/*Para declarar un tipo de dato archivo, se
utiliza: 

    FILE *nombre
Esto crea un enlace/archivo logico hacia un archivo fisico*/

int main(){
	FILE *archivo;
	char nombre[40];
	int i;

/*Aqui se lee el nombre del archivo*/
	printf("Proporciona el nombre del archivo: ");
	gets(nombre);
	
/*Con esta instruccion se abre un archivo, existen
diferentes opciones:
"w" para escritura, creando un archivo nuevo o sobre escribiendo uno anterior
"r" para lectura
"a" para aadir informacion, creando un archivo nuevo o aadiendo sin sobre escribir
    en un archivo anterior
*/
	archivo = fopen(nombre,"w");
/*Con estas lineas se evita un error en caso de que
no pueda crearse el archivo*/

	if(archivo == NULL)
		printf("\nNo se pudo crear el archivo");
/*Aqui se escriben dos enteros al archivo, con la
isntruccion fprintf(), esta es muy parecida a la
instruccion printf(), solo que antes de colocar
los auxiliares hay que indicar el nombre del
tipo de dato archivo en el que se desea escribir.
Una vez que se termina de escribir en el archivo, 
hay que cerrarlo con la instruccion fclose() para
asegurar que las modificaciones se realicen*/
	else{
		for(i=1;i<=10;++i)
			fprintf(archivo,"%d %d\n",i,i*i);
		fclose(archivo);
	}
	system("pause");
	return 0;
}

